package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$18 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("07A11B09A76B562144418FF3FF8C2570B8");
      BigInteger var1 = SECNamedCurves.access$0("0217C05610884B63B9C6C7291678F9D341");
      byte[] var2 = Hex.decode("4D696E676875615175985BD3ADBADA21B43A97E2");
      BigInteger var3 = SECNamedCurves.access$0("0400000000000000023123953A9464B54D");
      BigInteger var4 = BigInteger.valueOf(2L);
      ECCurve.F2m var5;
      ECCurve.F2m var10000 = var5 = new ECCurve.F2m;
      var10000.<init>(131, 2, 3, 8, var6, var1, var3, var4);
      ECPoint var7 = var10000.decodePoint(Hex.decode("040081BAF91FDF9833C40F9C181343638399078C6E7EA38C001F73C8134B1B4EF9E150"));
      return new X9ECParameters(var5, var7, var3, var4, var2);
   }
}
